package com.ruoyi.web.modules.video.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.ruoyi.web.modules.video.domain.BizLivestockMonitor;

/**
 * 畜牧监控 Mapper。
 */
public interface BizLivestockMonitorMapper
{
    BizLivestockMonitor selectBizLivestockMonitorById(Long id);

    BizLivestockMonitor selectBizLivestockMonitorByIdAny(Long id);

    List<BizLivestockMonitor> selectBizLivestockMonitorList(BizLivestockMonitor query);

    int insertBizLivestockMonitor(BizLivestockMonitor row);

    int updateBizLivestockMonitor(BizLivestockMonitor row);

    int logicDeleteBizLivestockMonitorByIds(@Param("ids") Long[] ids, @Param("updateBy") String updateBy);
}
